## ros-noetic-nodelet-topic-tools 1.10.2

=== debian/changelog ===
ros-noetic-nodelet-topic-tools (1.10.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Oct 2021 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.10.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.10.0-1focal) focal; urgency=high

  * Update maintainer to Michael Carroll (#104 <https://github.com/ros/nodelet_core/issues/104>)
  * Bump CMake version to avoid CMP0048 warning (#102 <https://github.com/ros/nodelet_core/issues/102>)
  * Fix for #78 <https://github.com/ros/nodelet_core/issues/78> (#80 <https://github.com/ros/nodelet_core/issues/80>)
  * Contributors: Lucas Walter, Michael Carroll, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Mon, 09 Mar 2020 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.16-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.15-1focal) focal; urgency=high

  * use new pluginlib headers (#73 <https://github.com/ros/nodelet_core/issues/73>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 16 Mar 2018 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.14-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Nov 2017 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.13-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.12-1focal) focal; urgency=high

  * fix exec_depend that are actually build_export_depends (#65 <https://github.com/ros/nodelet_core/issues/65>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 04 Aug 2017 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.11-1focal) focal; urgency=high

  * remove trailing whitespaces (#62 <https://github.com/ros/nodelet_core/issues/62>)
  * switch to package format 2 (#63 <https://github.com/ros/nodelet_core/issues/63>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.9-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Feb 2017 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.8-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Nov 2016 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.7-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.6-1focal) focal; urgency=high

  * Add NodeletLazy abstract class for lazy transport (#45 <https://github.com/ros/nodelet_core/issues/45>)
    * Add NodeletLazy abstract class for lazy transport
    * Add test for NodeletLazy with checking its lazy-ness
    * Fix ROS logging format supporting ros/ros_comm#875 <https://github.com/ros/ros_comm/issues/875>
    * Fix ever_subscribed_ flag setting location
    * Clearfy the comment describing advertise method
    * Parameterize the duration to warn the no connection
    User can disable this feature by setting -1 to the param.
  * Contributors: Kentaro Wada

 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Sep 2016 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Jun 2016 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.4-1focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Oct 2014 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.9.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 16 Jun 2014 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.8.3-1focal) focal; urgency=high

  * update changelogs
  * Update maintainer field
  * fix missing boost dependency
  * Contributors: Dirk Thomas, Esteve Fernandez
  * fix missing boost dependency

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 07 Jan 2014 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.8.0-1focal) focal; urgency=high

  * update email in package.xml

 -- Michael Carroll <michael@openrobotics.org>  Thu, 11 Jul 2013 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.7.15-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2013 05:00:00 -0000

ros-noetic-nodelet-topic-tools (1.7.14-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.7.13-1focal) focal; urgency=high

  * move nodelet_topic_tools to separate package, fix unit tests

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 06:00:00 -0000

ros-noetic-nodelet-topic-tools (1.7.12-1focal) focal; urgency=high

  * remove obsolete imports

 -- Michael Carroll <michael@openrobotics.org>  Wed, 19 Dec 2012 07:34:00 -0000

ros-noetic-nodelet-topic-tools (1.7.11-1focal) focal; urgency=high

  * reordering dynamic_reconfigure in CMakeLists.txt


